Bug#504220: Missing dependencies

Reinhard Tartler siretart at tauware.de
Sun Nov 2 21:17:17 UTC 2008

tags 504220 help

Sebastian Dröge <slomo at circular-chaos.org> writes:

> No idea about pkg-config documentation... it's one of the most used but
> worst documented pieces of software :)

Then that's something that should be fixed first. There is no point in
adding further breakage and inconsistencies before we know it things are
supposed to work. cf. also with #341977

> Requires.private corresponds to Requires, i.e. it contains references to
> required pkg-config files (with optional versions, ...) but the LIBS of
> them will only be used for static linking.
> Libs.private is the same for Libs, i.e. it contains linker flags
> (-lfoobar -L/usr/include/blingblong) that will only be used for static
> linking.
> If something is in Requires.private -dev packages _must_ depend on it,
> if it's in Libs.private -dev packages only need to depend on it if they
> ship static libraries (AFAIK).

AFAIUI that is not necessary and only packages that link statically
against libavcodec and libavformat would break. If I understand you
correctly, that happens also for packages that link dynamically to
libavcodec/libavformat. Is that correct?

If yes, then this seems to a manifestation of #475031. If that is
correct, then this bug is a dupe AFAIUI.

Reinhard Tartler, KeyID 945348A4

More information about the pkg-multimedia-maintainers mailing list